#!/bin/bash
# read-novar.sh

echo

# ------------------------------ #
echo -n "Saisissez une valeur : "
read var
echo "\"var\" = "$var""
# Tout se passe comme convenu.
# ------------------------------ #

echo

# ------------------------------------------------------------------- #
echo -n "Saisissez une nouvelle valeur : "
read           #  Aucune variable n'est donnée à 'read', donc...
               #+ La saisie par 'read' est affectée à la variable par défaut, $REPLY.
var="$REPLY"
echo "\"var\" = "$var""
# Ceci est équivalent au premier bloc de code.
# ------------------------------------------------------------------- #

echo
echo "========================="
echo


#  Cet exemple est similaire au script "reply.sh".
#  Néanmoins, celui-ci montre que $REPLY est disponible
#+ même après un 'read' dans une variable de la façon classique.

# ================================================================= #

#  Dans certaines instances, vous pourriez souhaiter ignorer la première valeur lue.
#  Dans de tels cas, ignorez tout simplement la variable $REPLY.

{ # Bloc de code.
read            # Ligne 1, à ignorer
read ligne2     # Ligne 2, sauvegarder dans la variable.
  } <$0
echo "La ligne 2 de ce script est :"
echo "$ligne2"  #   # read-novar.sh
echo            #   #!/bin/bash  ligne ignorée.

# Voir aussi le script soundcard-on.sh.

exit 0
